Subject: RE: ICMPv6: Security Consideration Section.

From: [email-masked]
Date: Fri, 18 Mar 2005 14:33:53 -0600

Sorry for responding late :)

When I think about it a little more, I feel that the reference 
to 2401bis should be INFORMATIVE.  Reasons:

o ESP/AH RFCs are informative refs in the current draft

o The processing details that are described in 2401bis applies
  only when you implement IPsec.  So ICMPv6 implementors really
  don't need to do anything for that processing.  It is the
  IPsec implementors that need to care about that processing.

I propose that we keep it INFORMATIVE.  

Comments ?

Regards
Mukesh

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> ext Brian Haberman
> Sent: Wednesday, March 09, 2005 3:22 PM
> To: IPv6 WG
> Subject: Re: ICMPv6: Security Consideration Section.
> 
> 
> To make the WG aware, I did chat with our AD on the issue of
> referencing the PS level 2401bis document.  Given the request
> to clarify the IPsec text within the spec from the IESG, it should
> not be an issue for this spec to normatively reference 2401bis.
> 
> Regards,
> Brian
> 
> On Mar 9, 2005, at 17:29, [email-masked] wrote:
> 
> > Hi All,
> >
> > In order to address IESG comments, I am trying to make the following
> > changes in the Security Consideration section and the references of
> > the ICMPv6 draft.
> >
> > - Refer to ESPbis, AHbis instead of ESP and AH (as commented by 
> > Allison)
> >
> > - Add normative reference to 2401bis. (section 6 of 2401bis 
> describes
> >   the IPsec handling of the ICMP packets.)
> >
> > - Replace all the text in section 5.1 with the following text
> > ====
> >    ICMP protocol packet exchanges can be authenticated using the IP
> >    Authentication Header [IPv6-AUTH] or IP Encapsulating Security
> >    Payload Header [IPv6-ESP].  Confidentiality for the ICMP protocol
> >    packet exchanges can be achieved using IP Encapsulating Security
> >    Payload Header [IPv6-ESP].
> >
> >    [IPv6-SEC-ARCH] describes the IPsec handling of ICMP traffic in
> >    detail.
> > ====
> >
> > Please let me know your comments.
> >
> > Regards
> > Mukesh
> >
> > --------------------------------------------------------------------
> > IETF IPv6 working group mailing list
> > [email-masked]
> > Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
> > --------------------------------------------------------------------
> 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------